Dynalinks
Short links

Resolve a short link to full path

POST
/short_links/resolve
Shorten long URLs and resolve short links back to their target.

Resolve a short link to full path. It's meant to be used on client side. API key is not required. You can use path from the response to read parameters from the path in your iOS or Android apps and redirect your users to a specific screen.

Request Body

Shortened path to resolve

application/json
  1. body
url*string

URL to shorten

Response Body

Link found

application/json
  1. response
id?string

UUID of the link

Formatuuid
name?string
path?string
url?string
social_description?string
social_image_url?string
social_title?string
shortened_path?string
android_fallback_url?string
ios_fallback_url?string
enable_forced_redirect?boolean
referrer?string
ios_deferred_deep_linking_enabled?boolean
provider_token?string
campaign_token?string
android_app_id?string
ios_app_id?string
clicks?integer

Number of clicks/views for this link

Example Request
curl -X POST 'https://dynalinks.app/api/v1/short_links/resolve' \  -H 'Content-Type: application/json' \  -d '{  "url": "https://yourproject.dynalinks.app/vs5r"}'
Example Response
{  "id": 1,  "name": "Example Link",  "path": "longOriginalPath"}